#/#############################################################################\
## Ongeboren's script collection - Single Window                               #
## Copyright (C) 2002 - 2005 ongeboren <ongeboren@gmail.com>                   #
## Version: 2.1                                                                #
## Requires: XChat 2.0.8+                                                      #
## Distributed under the GPL license                                           #
#\#############################################################################/

sub onge_single_window
{
  my $me   = Xchat::get_info ( "nick" );
  my $serv = Xchat::get_info ( "server" );
  my $dest = $_[0][2];
  my $srce = $_[0][0];
  $srce =~ /:(\S+)!/;
  my $vict = $1;
  
  return Xchat::EAT_NONE if ( lc($dest) ne lc($me) );
  return Xchat::EAT_NONE if ( $srce !~ /!/ );
  return Xchat::EAT_NONE if ( substr($_[1][3], 0, 5) eq ":\001DCC" );
  
  if ( !Xchat::find_context($vict, $serv) )
  {
  	foreach my $nick (@onge_single_bypass)
  	{
  		if (lc($nick) eq lc($vict))
  		{
  			if ( $onge_query_on_bypass )
  			{
  				Xchat::command( "QUERY $nick" , undef, $serv);
  			}
  			return Xchat::EAT_NONE;
  		}
  	}
  	onge_misc_emit_print( $onge_tabs_all, $serv, $vict, substr($_[1][3], 1) );
 		if ( $onge_whois_on_private > 1)
 		{
 			onge_misc_try_whois  ( $vict, $me, $serv, 1 );
 		}
 		elsif ( $onge_whois_on_private > 0)
 		{
 			onge_misc_try_whois  ( $vict, $me, $serv, 0 );
 		}
 		return Xchat::EAT_ALL;
  }
  return Xchat::EAT_NONE;
}

Xchat::print( "\0033   Single Window : loaded\003\n" );
1;
