#/#############################################################################\
## Ongeboren's script collection - Hooks                                       #
## Copyright (C) 2002 - 2005 ongeboren <ongeboren@gmail.com>                   #
## Version: 2.1                                                                #
## Requires: XChat 2.0.8+                                                      #
## Distributed under the GPL license                                           #
#\#############################################################################/


if ( $onge_set_single )
{
	Xchat::hook_server( "NOTICE" , onge_single_window );
	Xchat::hook_server( "PRIVMSG" , onge_single_window );
}

if ( $onge_set_wallops )
{
	Xchat::hook_server( "WALLOPS", onge_parse_wallops_output );
	Xchat::hook_command( "", onge_parse_wallops_input );
	Xchat::hook_command( "o", onge_comm_o );
	Xchat::hook_command( "l", onge_comm_l );
}

if ( $onge_set_oper )
{
	Xchat::hook_server( "001", onge_oper_connected );
	Xchat::hook_server( "381", onge_oper_opered );
}

if ( $onge_set_snotice )
{
	Xchat::hook_server( "NOTICE", onge_filter_server_notices );
}

Xchat::print( "\0033   Hooks : loaded\003\n" );
1;
